Forum Linux.général installer QT4.3 sur KDE SUSE 9.1 ?

Posté par .
Tags : aucun
1
4
fév.
2009
Mes respects, mon Général ! :=)

questions de débutant mongoloïde,

voilà : j'ai SUSE 9.1, KDE, QT 3.3.1.

Est-ce possible d'installer QT4.3 ou plus (requis par VirtualBox) ?

Devrai-je compiler ? J'ai gcc 3.3.3, ça ira ?

Est-ce que QT4 va remplacer QT3, ou bien s'ajouter à elle ?

Enfin, si cette installation parait possible, comment l'effectuer en détails ?
  • # tu tiens vraiment à ta Suse 9.1 ?

    Posté par . Évalué à 3.

    comme deja dis dans le post sur le libstc++.so.6 que tu voulais pour virtualbox
    Suse 9.1 date de 2004
    (Suse 10 date de sept 2005, Suse 11 date du juin 2008, et Suse 11.1 de fin 2008)

    tu veux pas faire une mise à jour de ta machine plutot que de vouloir installer des bouts de logiciels super recent (QT4.3, libstdc++.so.6) sur une vieille architecture ?

    dans les 2 cas cela ne sera pas forcement simple,
    mais je penses que le pire des deux c'est le bricolage pour faire passer les logiciels modernes sur ta "vieille" Suse.
    • [^] # Oui, j'y tiens ;=)

      Posté par . Évalué à 2.

      Bonjour NeoX !

      J'y suis attaché à cette distro, je possède le medium d'installation physique (DVD), j'y ai des logiciels installés... et je l'aime bien.

      Comme je l'ai écrit dans l'autre fil, le but de l'exercice est de voir '''si''' c'est possible (en général, et pour moi en particulier) de faire tourner VBox sous ce système. Je sais très bien que sous une distro plus moderne elle tourne au sortir de la boîte [en fait j'ai installé PCLinuxOS 2007 sur une autre partoche et compilé VirtualBox dessus juste pour m'en assurer]...

      Ceci clarifié, pensez-vous que l'installation de QT 4 ici soit possible, et appropriée ?
      • [^] # Re: Oui, j'y tiens ;=)

        Posté par . Évalué à 3.

        possible surement en compilant à partir des sources
        et en ajoutant probablement tout un ensemble de librairie de developpement

        appropriée je ne penses pas,
        tu as deja vu que c'etait pas simple pour ajouter une bibliotheque (libstc++.so.6)

        en plus pour pouvoir utiliser correctement la virtualisation il te faut un processeur qui supporte cela, mais aussi un kernel qui le gere.

        bref AMHA ca fait beaucoup plus de choses à changer (et de probleme à regler)
        que de reinstaller une Suse (openSuse dispo sur internet) et les applis supplémentaire en ayant sauvegarder son home et les parametrages de ses applis.

        Mais apres, tout, c'est toi qui veux essayer de cette maniere.
        alors :
        0°) etre patient, et avoir du courage

        1°) regarder comme on installe un programme à partir des sources
        2°) lire le INSTALL ou le README fournit avec les sources pour connaitre les dependances possibles et les options utiles
        3°) installer les dependances (peut-etre à partir des sources, et en repartant du 1° )
        4°) une fois les dependances requises installées, installer le programme en question
  • # Hein, on m'appelle ?

    Posté par . Évalué à 2.

    > Est-ce possible d'installer QT4.3 ou plus (requis par VirtualBox) ?
    affirmatif

    > Devrai-je compiler ? J'ai gcc 3.3.3, ça ira ?
    affirmatif

    > Est-ce que QT4 va remplacer QT3, ou bien s'ajouter à elle ?
    Les 2 versions peuvent coexister, après, faut voir si il y a pas des options à sélectionner lors de la configuration/compilation. Va jeter un coup d'oeil dans les specs des paquets Qt3 & 4.
  • # Vu tout ceci...

    Posté par . Évalué à 1.

    ... et vu d'autre part que mon cher VMware tourne comme une horloge sous cette SUSE, et qu'en ce qui concerne VirtualBox (un peu boguée à ce qu'il me semble), je peux continuer à jouer avec elle sous MiniME/PCLinuxOS 2008...

    Je crois que je vais laisser tomber lâchement cette folle entreprise-ci.

    Merci Néox, merci Général! vous m'avez appris beaucoup, il est vrai que je partais de bien bas.

    --
    Mongo

    Ah! Quelle belle chose que de savoir quelque chose !

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.